// The terminal output will produce the hexadecimal equivalent to the binary
// IR light meter reading. The visible LEDs will display the binary pattern, except
// for the least significant bit.


//Header files
#include <msbase.h>
#include <stdio.h>

void main(void)
{
  int i;
  unsigned char c;
  
  init_serial();
  init_analog();
  
  CLEAR_SCREEN
  printf("\n\nType any key to take another reading\n");
 
  while(1)
  {
    HOME_SCREEN
    c = analog(2);
    printf("IR Light meter reading is hexidecimal %x   \b\b\b", c );
    *(unsigned char *)(0x7000) = c | 0x01;// 0x01 keeps the IR LED on
    c = get_char();
  }
}
